summarylogtreecommitdiffstats
path: root/viper-cli
diff options
context:
space:
mode:
Diffstat (limited to 'viper-cli')
-rw-r--r--viper-cli11
1 files changed, 11 insertions, 0 deletions
diff --git a/viper-cli b/viper-cli
new file mode 100644
index 000000000000..0ac4ae72ad3d
--- /dev/null
+++ b/viper-cli
@@ -0,0 +1,11 @@
+#!/bin/bash
+
+if [[ $UID -eq 0 ]]; then
+ echo "Do not run viper as root!"
+ exit 1
+elif groups $USER | grep &>/dev/null "\bviper\b"; then
+ "/opt/viper/$(basename $0)" "$@"
+else
+ echo "You have to be in group 'viper'"
+ exit 1
+fi